Linux Virtual Delivery Agent

Configuration système requise

Distributions Linux

Remarque :

la configuration système requise des composants non couverts dans ce document (telles que l’application Citrix Workspace) est décrite dans leur documentation respective.

À partir de la version CU3, installez .NET Core Runtime 3.1 avant d’installer le Linux VDA. Pour plus d’informations, consultez https://docs.microsoft.com/en-us/dotnet/core/install/linux-package-managers.

Pour plus d’informations sur l’utilisation d’une version Current Release (CR) dans un environnement Long Term Service Release (LTSR) et d’autres questions fréquemment posées, consultez cet article du centre de connaissances.

Linux VDA prend en charge les distributions Linux suivantes :

Important :

Lorsque la prise en charge du fournisseur de votre système d’exploitation expire, la capacité de résolution des problèmes par Citrix peut être limitée.
Pour les plates-formes obsolètes ou supprimées, consultez la section Fin de prise en charge.

  • SUSE Linux Enterprise :
    • Desktop 12 Service Pack 3
    • Server 12 Service Pack 3
  • Red Hat Enterprise Linux
    • Workstation 7.7
    • Workstation 6.10
    • Server 7.7
    • Server 6.10
  • CentOS Linux
    • CentOS 7.7
    • CentOS 6.10
  • Ubuntu Linux
    • Ubuntu Desktop 18.04
    • Ubuntu Server 18.04
    • Ubuntu Live Server 18.04
    • Ubuntu Desktop 16.04
    • Serveur Ubuntu 16.04
  • Pardus Linux
    • Pardus 17 (pour plus d’informations sur l’étendue des fonctionnalités prises en charge, consultez l’article CTX238492 du centre de connaissances).

Pour une matrice des distributions Linux et des versions Xorg que cette version du Linux VDA prend en charge, consultez le tableau suivant. Pour plus d’informations, consultez la page XorgModuleABIVersions.

Distribution Linux Version Xorg
RHEL 7.7, CentOS 7.7 1.20
RHEL 6.10, CentOS 6.10 1.17
Ubuntu 18.04 1.19
Ubuntu 16.04 1.18
SUSE 12.3 1.18
Pardus 17 1.19

N’utilisez pas le serveur HWE Xorg 1.19 sur Ubuntu 16.04.

Dans tous les cas, l’architecture de processeur prise en charge est x86-64.

Remarque :

  • Si vous installez Linux VDA 1912 LTSR Cumulative Update 2 (CU2) sur CentOS 7.4 et que vous souhaitez l’utiliser avec Citrix Virtual Apps and Desktops Service, assurez-vous d’installer les composants suivants avant le VDA :

    • Xorg 1.20.4
    • SELinux policy 3.13.1-268
    • .NET Core Runtime 2.1
    • GNOME 3.28.3 or later
  • Les bureaux Gnome et KDE sont pris en charge dans SUSE, RedHat et CentOS. Le bureau Unity est pris en charge sur Ubuntu 16.04. Le bureau Gnome est pris en charge sur Ubuntu 18.04. Au moins un bureau doit être installé.

Citrix Virtual Desktops

Le Linux VDA est compatible avec toutes les versions actuellement prises en charge de Citrix Virtual Desktops. Pour de plus amples informations sur le cycle de vie des produits Citrix Virtual Desktops et savoir quand Citrix arrête la prise en charge de versions spécifiques des produits, consultez le tableau du cycle de vie des produits Citrix.

Le processus de configuration des agents Linux VDA diffère légèrement de celui des VDA Windows. Toutefois, toute batterie de Delivery Controller est capable de négocier les connexions aux bureaux Windows et Linux.

Environnements de virtualisation et plates-formes hôte pris en charge

  • Serveurs bare metal
  • Citrix Hypervisor
  • VMware ESX et ESXi
  • Microsoft Hyper-V
  • Nutanix AHV
  • Microsoft Azure Resource Manager
  • Amazon Web Services (AWS)
  • Google Cloud Platform (GCP)

Conseil :

consultez la documentation du fournisseur pour obtenir la liste des plates-formes prises en charge.

Packages d’intégration d’Active Directory

Linux VDA prend en charge les produits ou packages d’intégration d’Active Directory suivants :

  • Samba Winbind
  • Quest Authentication Services v4.1 ou version ultérieure
  • Centrify DirectControl
  • SSSD
  • PBIS (compatible avec RHEL 7 et Ubuntu)

Conseil :

pour obtenir la liste des plates-formes prises en charge, reportez-vous à la documentation des fournisseurs des packages d’intégration d’Active Directory.

HDX 3D Pro

Les hyperviseurs et processeurs graphiques NVIDIA GRID™ suivants sont requis pour la prise en charge de HDX 3D Pro.

Hyperviseurs

  • Citrix Hypervisor
  • VMware ESX et ESXi
  • Nutanix AHV
Remarque

les hyperviseurs sont compatibles avec certaines distributions Linux.

Processeur graphique

Les processeurs graphiques (GPU) suivants sont pris en charge pour la fonctionnalité GPU pass-through :

  • NVIDIA GRID - Tesla T4
  • NVIDI GTX750Ti
  • NVIDIA GRID - Tesla M60
  • NVIDIA GRID - K2
  • NVIDIA GRID - Tesla P40
  • NVIDIA GRID - Tesla P4
  • NVIDIA GRID - Tesla P100

Les processeurs graphiques suivants sont pris en charge pour la fonctionnalité vGPU :

  • NVIDIA GRID - Tesla T4
  • NVIDIA GRID - Tesla V100
  • NVIDIA GRID - Tesla M60
  • NVIDIA GRID - Tesla M10
  • NVIDIA GRID - Tesla P40
  • NVIDIA GRID - Tesla P4
  • NVIDIA GRID - Tesla P100
Configuration système requise